
package com.tmerclub.cloud.api.order.vo;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;

/**
 * @author tmerclub
 * @date 2020/12/25
 */
public class OrderAmountVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 支付金额
     */
    private Long payAmount;

    /**
     * 实付金额
     */
    private Long actualTotal;

    /**
     * 定金金额
     */
    private Long depositAmount;

    /**
     * 支付积分
     */
    private Long payScore;
    /**
     * 收款的店铺id和金额
     */
    private List<ShopAmountVO> shopAmountList;

    public List<ShopAmountVO> getShopAmountList() {
        return shopAmountList;
    }

    public void setShopAmountList(List<ShopAmountVO> shopAmountList) {
        this.shopAmountList = shopAmountList;
    }

    public Long getActualTotal() {
        return actualTotal;
    }

    public void setActualTotal(Long actualTotal) {
        this.actualTotal = actualTotal;
    }

    public Long getDepositAmount() {
        return depositAmount;
    }

    public void setDepositAmount(Long depositAmount) {
        this.depositAmount = depositAmount;
    }

    public Long getPayAmount() {
        return payAmount;
    }

    public void setPayAmount(Long payAmount) {
        this.payAmount = payAmount;
    }

    public Long getPayScore() {
        return payScore;
    }

    public void setPayScore(Long payScore) {
        this.payScore = payScore;
    }

    @Override
    public String toString() {
        return "OrderAmountVO{" +
                "payAmount=" + payAmount +
                ", actualTotal=" + actualTotal +
                ", depositAmount=" + depositAmount +
                ", payScore=" + payScore +
                ", shopAmountList=" + shopAmountList +
                '}';
    }
}
